Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163758 - RFE: add mysql cluster support
Summary: RFE: add mysql cluster support
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: mysql
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tom Lane
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-20 20:39 UTC by Frank Büttner
Modified: 2014-01-21 22:52 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-27 20:45:01 UTC


Attachments (Terms of Use)

Description Frank Büttner 2005-07-20 20:39:02 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; de-DE; rv:1.7.10) Gecko/20050717 Firefox/1.0.6

Description of problem:
why are the mysql-max package not included?

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
try to use the max packages

Actual Results:  package not existes

Expected Results:  that the package exists

Additional info:

Comment 1 Tom Lane 2005-07-20 21:13:34 UTC
AFAIK, mysql-max is not a different package, just a different set of configure
options.  What specifically do you need from max?

Comment 2 Frank Büttner 2005-07-20 21:48:07 UTC
The max version is needed to build a MySQL Cluster. But then the ndb packages
are also needed. It is very easy to build a cluser with MySQL.

Comment 3 Tom Lane 2005-07-20 22:15:17 UTC
OK, I'm changing the summary line to something more apropo ...

Comment 6 Colin Charles 2006-03-02 08:08:37 UTC
tgl, any idea if you plan on changing the config options to include Cluster for FC-5? Its relatively safe to 
enable, and will benefit our FC-5 users (think many mysql clusters or something :P)

Comment 7 David Lawrence 2006-03-03 18:37:38 UTC
The bug status ASSIGN_TO_PM has been deprecated. In the future please use
ASSIGNED and either add the PM to the Cc list or re-assign report to them.

Comment 8 Christian Iseli 2007-01-22 10:44:38 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 9 Frank Büttner 2007-01-22 10:59:53 UTC
FC5/FC6 don't contain the mysql-max  and ndb packages.

Comment 10 Frank Büttner 2007-02-09 14:34:10 UTC
Any idea's when it will be added?

Comment 11 Colin Charles 2007-02-12 02:37:06 UTC
There are no more mysql-max packages upstream either. Why not just enable NDB in
the MySQL package for FC-6 or even F-7 test?

Comment 12 Frank Büttner 2007-02-12 07:58:11 UTC
Or so. But so far I know the max package are needed for the ndp package.

Comment 13 Simon Perreault 2008-02-19 21:47:24 UTC
Still not present in Fedora 8. At least you could add "--with-ndbcluster" in the
%configure line of the mysql spec file. That would be a good and easy first
step. Pretty please?

Comment 14 Itamar Reis Peixoto 2008-07-09 18:37:15 UTC
it's a good idea to have ndbcluster included in fedora mysql.

any news about this ?


Comment 15 Itamar Reis Peixoto 2008-07-09 18:52:55 UTC
this request is too old, there are alot of people wanting ndbcluster in mysql,

let me add some people in cc list :-) 

(tgl/jkeating) --> please help, is possible to have this in next mysql version ?



Comment 16 Itamar Reis Peixoto 2008-07-09 20:34:08 UTC
rhel seems to have ndbcluster enabled,

http://ftp.redhat.com/pub/redhat/linux/updates/enterprise/4AS/en/RHWAS/SRPMS/mysql-5.0.50sp1a-2.el4s1.1.src.rpm

anyone can enable this in fedora too ?

Comment 17 Warren Togami 2008-07-10 03:50:23 UTC
Why are you adding random people to this bug?  I already told you I know nothing
about this.

Comment 18 Itamar Reis Peixoto 2008-07-10 15:02:41 UTC
Tom Lane, 

why you have added ndbcluster support in rhel and not included in fedora ?

this is a rule from redhat ? (if you want ndbcluster buy rhel)

can you help with this ?


Comment 19 Seth Vidal 2008-07-10 18:44:47 UTC
Okay, Hi guys,

So let's take this from the top:

  Itamar: there's no grand red hat conspiracy so knock off those comments, they
don't do anyone any good and aren't productive.
 
  Tom: You own mysql it looks like, any issue with enabling  ndbcluster in the
package build? Does it conflict somewhere else?


Comment 20 Tom Lane 2008-07-10 21:11:25 UTC
Actually, I hadn't been thinking about it because there were no requests for it in my bugzilla list.  I see 
that this one has been laying about mis-assigned.  I'll see about making it happen for F-10.

Comment 21 Seth Vidal 2008-07-10 21:25:42 UTC
Tom, Thanks.


Note You need to log in before you can comment on or make changes to this bug.